# OfficeBots ROS2 bridge

This is a ROS2 package that creates a bridge between ROS2 and OfficeBots, publishing and subscribing to various topics to interact with the simulated robot. This package is inspired and is an adaptation of the ROS bridge provided by the [Python officebots package](https://github.com/severin-lemaignan/python-officebots) created by Severin Lemaignan.

## Installation

Clone this repository in your workspace, install dependencies, and build the package. This package depends on the `officebots` and `websockets` python packages which can be installed via pip:

> $ pip install officebots websockets

## Usage

After building the package you can run the `officebots_ros2_bridge` node

> $ ros2 run officebots-ros2 officebots_ros2_bridge

This provides several topics such as:

* `/cmd_vel` which can control the Twist of the robot
* `/humans/...` the information about humans, faces, voices, and perons tracked
* `/odom` which is the odometry published by the robot
* `/scan` the laser scan from the sensor on the robot
* `/tf` the TF tree of the simulation

In order to actually interact with the robot, one needs to execute the [OfficeBots simulator from Severin Lemaignan](https://github.com/severin-lemaignan/officebots)
